Subject: Re: [PATCH net-next 1/3] ipv4: Raise tcp PMTU probe mss base size

From: Fan Du <[email-masked]>
Date: Mon, 16 Feb 2015 13:15:54 +0800

于 2015年02月13日 17:49, yzhu1 写道:
> backward compatible? :-D

yes, it will be auto tuned back in black hole detecting path.
Also user could adjust the base size through /proc/sys/net/ipv4/tcp_base_mss
for optimal configuration.

> Zhu Yanjun
> On 02/13/2015 04:16 PM, Fan Du wrote:
>> Quotes from RFC4821 7.2.  Selecting Initial Values
>>
>>     It is RECOMMENDED that search_low be initially set to an MTU size
>>     that is likely to work over a very wide range of environments.  Given
>>     today's technologies, a value of 1024 bytes is probably safe enough.
>>     The initial value for search_low SHOULD be configurable.
>>
>> Moreover, set a small value will introduce extra time for the search
>> to converge. So set the initial probe base mss size to 1024 Bytes.
>>
>> Signed-off-by: Fan Du <[email-masked]>
>> ---